@echo off
REM **************************************************************************
REM
REM Autoexec.bat for Station Rebuild Project
REM Part of Talisman / Community Connect 3
REM
REM v 1.7.0.0
REM **************************************************************************
REM Set the below environment variable to blank to enable logging
set log=::

set boot=c:

REM First off, install a RAM disk, - now changed to use Microsoft RAM Disk
REM 8 MB



REM find the microsoft ram disk
%boot%\findramd.exe

If errorlevel 3 if not errorlevel 4 set ramdrive=C:
If errorlevel 4 if not errorlevel 5 set ramdrive=D:
If errorlevel 5 if not errorlevel 6 set ramdrive=E:
If errorlevel 6 if not errorlevel 7 set ramdrive=F:
If errorlevel 7 if not errorlevel 8 set ramdrive=G:
If errorlevel 8 if not errorlevel 9 set ramdrive=H:
If errorlevel 9 if not errorlevel 10 set ramdrive=I:
If errorlevel 10 if not errorlevel 11 set ramdrive=J:
If errorlevel 11 if not errorlevel 12 set ramdrive=K:
If errorlevel 12 if not errorlevel 13 set ramdrive=L:
If errorlevel 13 if not errorlevel 14 set ramdrive=M:
If errorlevel 14 if not errorlevel 15 set ramdrive=N:
If errorlevel 15 if not errorlevel 16 set ramdrive=O:
If errorlevel 16 if not errorlevel 17 set ramdrive=P:
If errorlevel 17 if not errorlevel 18 set ramdrive=Q:
If errorlevel 18 if not errorlevel 19 set ramdrive=%ramdrive%
If errorlevel 19 if not errorlevel 20 set ramdrive=S:
If errorlevel 20 if not errorlevel 21 set ramdrive=T:
If errorlevel 21 if not errorlevel 22 set ramdrive=U:
If errorlevel 22 if not errorlevel 23 set ramdrive=V:
If errorlevel 23 if not errorlevel 24 set ramdrive=W:
If errorlevel 24 if not errorlevel 25 set ramdrive=X:
If errorlevel 25 if not errorlevel 26 set ramdrive=Y:
If errorlevel 26 if not errorlevel 27 set ramdrive=Z:
If errorlevel 27 goto error

if "%run%x" == "harddiskx" set ramdrive=c:

:proceed
set logfile=%ramdrive%\build.log

%log% if not exist %logfile% echo.>%logfile%

%log% echo Booting from %boot%>>%logfile%

%log% echo RamDrive found at %ramdrive%>>%logfile%

cls
path=%boot%\dos\;%boot%\;%ramdrive%\net

REM Output boot disk info
echo.
echo RM Workstation Build - scripts version 3.78
echo Microsoft Windows XP workstation setup
echo Copyright (C) Research Machines plc 2005
echo.

REM Run the relevant batch file for the operation selected by the user
REM Run it from the ram disk for speed increase
%boot%\dos\extract /y /e /l %ramdrive%\ %boot%\%config%.cab	> NUL
copy %boot%\command.com %ramdrive%\ /y		> NUL
set comspec=%ramdrive%\command.com
%ramdrive%

%log% echo Running script %run%.bat from cabfile %config%.cab>>%logfile%
call %ramdrive%\%run%.bat

goto end


:error

echo Could not find a Ram Drive

:end
